Subject: bug#43470: 27.1; Drag and Drop not working properly in 27.1 on OSX

From: Alan Third <[email-masked]>
Date: Thu, 17 Sep 2020 20:46:37 +0100

On Thu, Sep 17, 2020 at 08:12:56PM +0200, Daniel MartÃ?Â­n via Bug reports for GNU Emacs, the Swiss army knife of text editors wrote:
> Alan Third <[email-masked]> writes:
> >
> > Confirmed.
> >
> > Annoyingly I could've sworn this worked just a few months ago. I
> > wonder if Apple have changed something in their libraries to
> > completely deprecate the old methods.
> >
> > Anyway, It'll need to be almost completely rewritten (again!).
> 
> Hi, Alan:
> 
> Could it be caused by an incomplete rename done at
> https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=9624f609493da7c08016ba00d6895bad0fe26a0e?
> 
> The following patch fixes the reported bug for me on 10.15.6 and Emacs
> 28.0.50, and also fixes some compilation warnings as well:

IIRC (and I could definitely be wrong here) a simple find/replace
breaks the ability to handle more than one file being dragged at a
time, which is why I left it (it used to work fine even though it was
flagged as deprecated).

Obviously that doesn't matter if it now no longer works at all, but we
need to retain backwards compatibility so any patch will have to work
on GNUstep and older versions of macOS. The bottom of nsterm.h shows
how we've handled that with previous deprecations.

Can you check whether your patch handles the multi-file case?
-- 
Alan Third